[P056]Create Patent Monitor Project

get
https://connect.patsnap.com/patent-alert/create
Try in Sandbox

Create patent monitor project by query.

The maximum number of monitored patents is 500000.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
query
Required
stringANC:(智慧芽)
query of the monitor project
content
Required
stringnew,invention,legal
1.New patents(new):Alert when a new patent matching the search query is published 2.New invention(invention):Alert when a new patent that does not belong to an existing family is published 3.Legal status(legal):Alert when patent legal status changes 4.Assignment(transfer):Alert if the current assignee of the patent changes 5.Upcoming expiry date(expired):Alert when patents are within 30 days of the estimated expiry date 6.Licensing(license):Alert when licensing information has been updated 7.Litigation(litigation):Alert when litigation information has been updated Please enter the parameter, multiple selections are allowed, and the multiple monitored items are separated by ,.
alert_name
stringIntelligent bud company monitoring
monitor name or tag, up to 50 characters

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
number
integer<int64>4800
original patent counts in monitor project
alert_id
string7f22ee78764149b481314b1fa60dca0c
monitor project ID
alert_name
stringIntelligent bud company monitoring
Name of Monitoring Project
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "number": 4800,
    "alert_id": "7f22ee78764149b481314b1fa60dca0c",
    "alert_name": "智慧芽公司监控"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success